#! /usr/bin/env python
#
# This script is called from the start_logger.py script when
# the USB dongle is disconnected to shutdown the Raspberry Pi.
#
# If the Pi is turned off without shutdown, the SD card may get corrupted.

import time
from subprocess import call

# Wait 2 minutes (120 seconds) before shutting down to allow for file
time.sleep(120)

call(["sudo shutdown -h now"], shell=True)
